package repository

import (
	"context"
	"github.com/go-nunu/nunu-layout-advanced/internal/model"
)

type WebLimitRepository interface {
	GetWebLimit(ctx context.Context, id int64) (*model.WebLimit, error)
}

func NewWebLimitRepository(
	repository *Repository,
) WebLimitRepository {
	return &webLimitRepository{
		Repository: repository,
	}
}

type webLimitRepository struct {
	*Repository
}

func (r *webLimitRepository) GetWebLimit(ctx context.Context, id int64) (*model.WebLimit, error) {
	var webLimit model.WebLimit

	return &webLimit, nil
}
